Subject: Fwd: Protocol Action: 'Augmented BNF for Syntax Specifications: ABNF' to Draft Standard

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Mon, 04 Apr 2005 21:06:03 -0700

We'll need to update all LDAPBIS documents referencing
RFC2234 to instead reference this I-D.  Editors, please
make this change in your next planned revision (but
do not revise solely for this change).  For documents
already approved (or which are subsequently approved
prior to this change being made), we'll pick the
change up at AUTH48 or via an IESG note to RFC Editor.

Thanks, Kurt

>From: The IESG <[email-masked]>
>To: IETF-Announce <[email-masked]>
>Date: Mon, 04 Apr 2005 16:35:53 -0400
>Cc: Internet Architecture Board <[email-masked]>,
>        RFC Editor <[email-masked]>
>Subject: Protocol Action: 'Augmented BNF for Syntax Specifications: 
> ABNF' to Draft Standard 
>
>The IESG has approved the following document:
>
>- 'Augmented BNF for Syntax Specifications: ABNF '
>   <draft-crocker-abnf-rfc2234bis-00.txt> as a Draft Standard
>
>This document has been reviewed in the IETF but is not the product of an
>IETF Working Group. 
>
>The IESG contact person is Scott Hollenbeck.
>
>Technical Summary
> 
>Internet technical specifications often need to define a format
>syntax.  Over the years a modified version of Backus-Naur Form (BNF),
>called Augmented BNF (ABNF), has been popular among many Internet
>specifications.  The current specification documents ABNF.  It
>balances compactness and simplicity, with reasonable representational
>power.  The differences between standard BNF and ABNF involve naming
>rules, repetition, alternatives, order-independence, and value
>ranges.  This specification also supplies additional rule definitions
>and encoding for a core lexical analyzer of the type common to
>several Internet specifications.
>
>This document obsoletes RFC 2234.
> 
>Working Group Summary
> 
>This document is the work of individual submitters.  It was produced
>to address comments received from the IESG when the IESG was asked
>to elevate RFC 2234 to Draft Standard status.  An IETF last call on
>the request to elevate RFC 2234 was completed in June 2004.
> 
>Protocol Quality
> 
>Harald Alvestrand, Bill Fenner, and Scott Hollenbeck evaluated this
>specification for the IESG.
>
>RFC Editor Note:
>
>Abstract and Section 1, first sentence:
>OLD:
>"Internet technical specifications often need to define a format"
>                                                          ^^^^^^
>
>NEW:
>"Internet technical specifications often need to define a formal"
>(change "format" to "formal")
>
>Section 1:
>OLD:
>"Changes in the latest version of this Internet Draft:"
>
>NEW:
>"Changes Since RFC 2234:"
>
>Section 3.1:
>OLD:
>NOTE:
>
>  NOTE: This specification for ABNF does not provide for implicit
>  specification of linear white space.
>
>NEW:
>  NOTE: This specification for ABNF does not provide for implicit
>  specification of linear white space.
>(remove frist instance of "NOTE")
>
>
>_______________________________________________
>IETF-Announce mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ietf-announce